/**
 * Program to create a recursive graphics which looks like broccoli.
 * Written 11/4/99 by Kim Bruce
 * Modified 4/20/00 by Andrea Danyluk
 * 
 * Updated by Jim Teresco for CSC 252, The College of Saint Rose, Fall 2013
 * 
 * $Id: Broccoli.java 2244 2013-11-06 04:54:22Z terescoj $
 */

import objectdraw.*;
import java.awt.*;

public class Broccoli extends WindowController {
    private static final double STEM_X = 200,
    STEM_Y = 350,
    STEM_LENGTH = 80;

    private Location lastLocation;    // Where mouse was before last mouse event
    private BroccoliBranch plant;     // Broccoli object to be drawn and moved

    /**
     * Create the broccoli
     */
    public void begin() {

        plant = new BroccoliBranch(new Location(STEM_X,STEM_Y), STEM_LENGTH, Math.PI/2.0, canvas);
    }

    // Get ready to move broccoli
    public void onMousePress(Location pt) {
        lastLocation = pt;
    }

    // Drag the broccoli around
    public void onMouseDrag(Location pt) {
        plant.move(pt.getX()-lastLocation.getX(), pt.getY()-lastLocation.getY());
        lastLocation = pt;
    }

}

